Skip to main content
GET
/
database-snapshots
/
{databaseSnapshot}
Get a database snapshot
curl --request GET \
  --url https://cloud.laravel.com/api/database-snapshots/{databaseSnapshot} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "links": {
      "self": {
        "href": "<string>",
        "rel": "<string>",
        "describedby": "<string>",
        "title": "<string>",
        "type": "<string>",
        "hreflang": "<string>",
        "meta": {}
      }
    },
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "storage_bytes": 123,
      "pitr_enabled": true,
      "pitr_ends_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "database": {
        "data": {
          "id": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "attributes": {
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "config": {
          "suspend_seconds": 123,
          "retention_days": 123
        },
        "connection": {
          "hostname": "<string>",
          "username": "<string>",
          "password": "<string>"
        }
      },
      "relationships": {
        "schemas": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        },
        "databases": {
          "data": [
            {
              "id": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

databaseSnapshot
string | null
required

The database snapshot identifier

Query Parameters

include
enum<string>[]
Available options:
database

Response

DatabaseSnapshotResource

data
DatabaseSnapshotResource · object
required
included
DatabaseResource · object[]